Bug 242263 - network connections disconnect after a few minutes
network connections disconnect after a few minutes
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-02 16:26 EDT by Flavio Cardone
Modified: 2008-01-08 20:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 20:00:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from dmesg (31.66 KB, application/octet-stream)
2007-06-07 17:43 EDT, Andy Hudson
no flags Details
Output from /var/log/messages (186.41 KB, application/octet-stream)
2007-06-07 17:44 EDT, Andy Hudson
no flags Details

  None (edit)
Description Flavio Cardone 2007-06-02 16:26:34 EDT
Description of problem:

When starting a network connection (Broadcom ethernet card, Atheros WLAN card,
D-Link PCMCIA) the connection stays on for a few minutes and then stops. With
eth the connection comes back with ifup/ifdown. When the wlans lose the
connection, they still can perform scans, but they can no longer connect to the
ap. When replacing the new F7 kernel with the last one from FC6, ie
2.6.20-1.2952.fc6, the problem no longer exists.

Version-Release number of selected component (if applicable):
2.6.21-1.3194.fc7

How reproducible:
always

Steps to Reproduce:
boot with 2.6.21-1.3194.fc7 and connect to a network with eth or wlan
  
Actual results:
connection drops after a few minutes or immediately with heavy traffic

Expected results:
connection should not drop

Additional info:
none
Comment 1 Seby Carta 2007-06-04 07:59:53 EDT
Hi,
i have the same problem with a fresh install ( and also with live cd ) of F 7
x86_64. Using the zd1211rw driver, after few minutes i lost the connection with
Ap and i have to reboot the machine.
Thank you.
Comment 2 Licia Leanza 2007-06-04 12:07:29 EDT
I have the same problem too with F7 x86_64. 
It is using Intel(R) PRO/1000 Network Driver - version 7.3.20-k2-NAPI.
After the boot eth0 gets IPv4 from my DHCP service. After few minutes eth0 goes
down because it's unable to renew the address. 
If I try an ifconfig up the process hangs up.
When I shutdown the machine it hangs up (probably when it tries to shutdown the
network and I have to switch-off.
when it disconnects it writes this on the log:

Jun 3 16:27:36 ilochab NET[3325]: /sbin/dhclient-script : updated /etc/resolv.conf
Jun 3 16:27:36 ilochab dnsmasq[2557]: reading /etc/resolv.conf
Jun 3 16:27:36 ilochab dnsmasq[2557]: using nameserver 1.253.128.11#53
Jun 3 16:27:36 ilochab dnsmasq[2557]: using nameserver 1.253.128.34#53
Jun 3 16:27:36 ilochab kernel: ADDRCONF(NETDEV_UP): eth0: link is not ready
Jun 3 16:27:36 ilochab dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67
interval 3
Jun 3 16:27:36 ilochab dhclient: send_packet: Network is down
Jun 3 16:27:38 ilochab kernel: e1000: eth0: e1000_watchdog: NIC Link is Up 10
Mbps Half Duplex, Flow Control: None
Jun 3 16:27:38 ilochab kernel: e1000: eth0: e1000_watchdog: 10/100 speed:
disabling TSO
Jun 3 16:27:38 ilochab kernel: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
Jun 3 16:27:39 ilochab dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67
interval 8
Jun 3 16:27:46 ilochab dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67
interval 13
Jun 3 16:27:59 ilochab dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67
interval 17
Jun 3 16:28:17 ilochab dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67
interval 17
Jun 3 16:28:33 ilochab dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67
interval 3
Jun 3 16:28:36 ilochab dhclient: No DHCPOFFERS received.
Comment 3 Tim Behrsin 2007-06-04 16:27:03 EDT
I have the same issue with 2.6.21-1.3194.fc7 and zd1211rw_mac80211 / Sagem USB
thingy from Orange.

Was particularly noticeable when downloading a lot of yum packages on install.
When just browsing the web, not really an issue (took longer to disconnect.)
When nm is trying to connect it does report a detected duplicate address.

modprobe -r ... && modprobe ... resolves this temporarily - and the time to next
disconnect is pretty random.
Comment 4 Andy Hudson 2007-06-06 17:27:45 EDT
This is also happening to me with a Belkin USB wlan adapter (F5D7050) using the
zd1211_mac80211.

Output from dmesg before the network goes down:

wlan0: duplicate address detected
wlan0: duplicate address detected
security: 3, users, 6 tolrd, 1817 types, 79 bools, 1 sens, 1024 cats
security: 60 classes, 67748 rules
zd1211rw_mac80211 5-2:1.0: zd_chip_control_leds error -110
zd1211rw_mac80211 5-2:1.0: zd_chip_control_leds error -110
zd1211rw_mac80211 5-2:1.0: zd_chip_control_leds error -110
zd1211rw_mac80211 5-2:1.0: zd_chip_control_leds error -110
zd1211rw_mac80211 5-2:1.0: zd_chip_control_leds error -110
zd1211rw_mac80211 5-2:1.0: zd_chip_control_leds error -110
zd1211rw_mac80211 5-2:1.0: zd_chip_control_leds error -110
zd1211rw_mac80211 5-2:1.0: zd_chip_control_leds error -110
zd1211rw_mac80211 5-2:1.0: zd_chip_control_leds error -110
wlan0: RX deauthentication from 00:18:4d:06:8e:2a (reason=2)
wlan0: deauthenticated
wlan0: TKIP decrypt failed for RX frame from 00:18:4d:06:8e:2a (res=-1)

If I try to follow instructions in comment no.3, nothing happens. In all cases I
have to reboot to reconnect to the network.

The annoying thing is that I can still see the wireless router in NetworkManager!
Comment 5 Andy Hudson 2007-06-07 17:43:56 EDT
Created attachment 156519 [details]
Output from dmesg

This is my dmesg output
Comment 6 Andy Hudson 2007-06-07 17:44:36 EDT
Created attachment 156520 [details]
Output from /var/log/messages

Hope this helps.
Comment 7 Flavio Cardone 2007-06-16 17:07:19 EDT
Problem persists with newest kernel (2.6.21-1.3228.fc7), so I had to keep using
2.6.20-1.2952.fc6 - which keeps the connection on forever :-)
Comment 8 Christopher Brown 2007-09-13 15:48:28 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem has gone away then please close this bug or I'll do so in a few
days if there is no additional information lodged.

Cheers
Chris
Comment 9 Christopher Brown 2008-01-08 20:00:56 EST
As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

Note You need to log in before you can comment on or make changes to this bug.